English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   support.FS-UAE (http://eab.abime.net/forumdisplay.php?f=122)
-   -   Single Game doesn't show up anymore (http://eab.abime.net/showthread.php?t=102091)

Autofire 04 May 2020 01:38

Single Game doesn't show up anymore
 
Really weird, Kick Off 2 used to work just fine but suddenly it doesn't show up in the game database anymore.



Updating the database doesn't help, moving it ouf of the folder and back again doesn't work, even a new download of the file didn't help...


Any ideas left? Many thanks!!

thevoice 04 May 2020 09:50

you are correct. none of the v1.08 or 1.09a slaves are registered. they show up but they are marked as incomplete. guess this is a case which only frode can investigate/fix.

Autofire 04 May 2020 10:31

Hm. Two days ago everything just worked fine... Anyway, thanks for checking!

qupe 04 May 2020 21:08

The game database seems to be a little messed up at the minute. AGA games are showing up under the non aga version so it looks like you don't have it.

Since the update my own whdload configs no longer work. I'm going to revert back to the last working version with my own configs.

thevoice 05 May 2020 07:50

actually for me all whdload titles are shown as incomplete with the launcher v.3.0.5. and just for the curiosity with the 3.1.0dev one everything shows up just fine.
so i assume there was some "under the hood" changes which messed up the stable series of the launcher. so all we can do is to wait until frode appears and solve this mystery ;)

thevoice 05 May 2020 14:02

if anybody use linux *ubunt flavor there is a solution for the problem. it looks like that upgrading ubuntu to 20.04 removes python3-lhafile package.

if you have the fs-use ppa for ubuntu enabled just install it via apt install python3-lhafule

if oyu haven't enabled the ppa on your system go here: https://fs-uae.net/download#ubuntu

and follow the instructions after doing so get python3-lhafile with apt install python3-lhafile

afterwards do a file database scan and voila all whdload installs are back again.

for other linux flavors check the link for how to do it on your used distro.

FrodeSolheim 05 May 2020 20:00

Thanks to thevoice for helping checkout out the problem via email! :)

It does indeed look like this problem is something like this:


- If people upgrade to FS-UAE 3.0.5 *before* updating to Ubuntu 20.04, then when updating to Ubuntu 20.04 python3-lhafile is removed due to being incompatible (python 3.6 vs 3.8 - python3-lhafile contains a C extension)

- If people upgrade to Ubuntu 20.04 first, then PPAs are disabled (and python3-lhafile is removed). So to upgrade to 3.0.5 you need to enable the PPA again for "focal", and then when you update fs-uae/launcher, you get the updated python3-lhafile package (maybe!).

Part of the problem here is probably that python3-lhafile is just a recommended dependency. Perhaps I should make it a hard dependency (if I did that, the launcher would probably be removed by Ubuntu when updating to 20.04, but at least people could install it again and wouldn't have issues at least).

(Side note: This all would work much better of Ubuntu migrated the Ubuntu PPA repository to point to the new Ubuntu version (if available) instead of disabling the PPA...)

EDIT: I have released a 3.0.5u1 update for Ubuntu with a hard dependency of python3-lhafile. This can cause fs-uae-launcher to be (temporarily) uninstalled on future Ubuntu upgrades unless Canonical starts supporting "upgrading" ppa repositories automatically, but at least parts of the launcher won't suddenly stop working.

Autofire 09 May 2020 12:48

I'm sorry to not understand the details of your discussion so my question might feel awkward: I understand this solution works for Ubuntu but I encounter this problem on a Mac - is there any workaround here?

FrodeSolheim 09 May 2020 13:17

Quote:

Originally Posted by Autofire (Post 1398625)
I'm sorry to not understand the details of your discussion so my question might feel awkward: I understand this solution works for Ubuntu but I encounter this problem on a Mac - is there any workaround here?


On mac, that would be a different problem. Can you update the game database (and file database) and check if the the problem appears to be with only that game, and not all/many games?


I'll check on a mac if it works for me...

FrodeSolheim 09 May 2020 13:23

Works for me on mac.

@Autofire If it's only that game, you can also contact me directly, so we can look at your game media.

FrodeSolheim 09 May 2020 19:24

@Autofire Ah, your problem is that you have an overdumped ADF file. It was probably disabled by me in the database earlier (on purpose). I had just forgotten about it.

To convert your ADF image into a proper file (without garbage at the end), you can run the following command in a terminal on macOS (or Unix/Linux) in the directory containing the file:

Code:

dd if="Kick Off 2 (1990)(Anco)[cr OCL][o].adf" of="Kick Off 2 (1990)(Anco)[cr OCL].adf" count=1760

Autofire 16 May 2020 17:37

So many thanks, Frode! I converted the file via terminal. It shows up now! But the file now seems to be damaged... the workbench symbol shows up and it stops from loading... I tried it several times...

abelthorne 18 January 2021 01:12

Quote:

Originally Posted by FrodeSolheim (Post 1397852)
EDIT: I have released a 3.0.5u1 update for Ubuntu with a hard dependency of python3-lhafile. This can cause fs-uae-launcher to be (temporarily) uninstalled on future Ubuntu upgrades unless Canonical starts supporting "upgrading" ppa repositories automatically, but at least parts of the launcher won't suddenly stop working.

Hello,
I came across this topic while trying to understand why FS-UAE wouldn't load LHA WHDLoad files on Ubuntu 20.10 while it worked on 20.04 (I might have been using your PPA at the time and removed it afterwards, or maybe it worked differently with FS-UAE 3.0.2).

Any idea why python3-lhafile isn't in the Ubuntu 20.04/20.10 repos --and it doesn't seem to be in the future 21.04 ones either-- while FS-UAE is? Is there some issue about including it or it's just that it has been forgotten and should be requested somewhere (on Launchpad, or maybe upstream on Debian)?

FrodeSolheim 18 January 2021 23:19

It probably never was in Debian in the first place. And it was an optional (which in hindsight probably wasn't a good idea) dependency of FS-UAE Launcher, so it didn't have to be included to make FS-UAE Launcher work.

abelthorne 23 January 2021 17:54

But would it be possible to make it a required dependency for future versions? I'm not sure who handles this, if it has to be requested for Ubuntu, if it's on your side with the source code...

FrodeSolheim 23 January 2021 22:29

I think that's a probably good idea. I can make it a dependency in my source code (so that it won't run without it). If packagers then do not want to include lhafile, then at least they have to go to the trouble of patching the source code to work without it...

(It is annoying for me as well to get bug reports related to this)


All times are GMT +2. The time now is 19:37.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, vBulletin Solutions Inc.

Page generated in 0.04428 seconds with 11 queries